Subject: bug#54173: 28.0.91; Training wheels for query-replace

From: Augusto Stoffel <[email-masked]>
Date: Thu, 03 Mar 2022 17:41:55 +0100

>> I'm not sure I understood the patch.  Is the proposal to append all that
>> to "Query replacing foo with bar"?  It'll make prompts commonly be
>> longer than a line, and it's pretty noisy, so if that's the proposal,
>> I'm against it.
>
> Well, yes, that's the proposal...
>
> At least now that string is a defvar that you can set to nil if you want
> to save some columns :-)

I'm including Juri in this thread so maybe we can get one more opinion.

Let me also say that we could modify the patch so that the help message
remains the same, i.e., just “(? for help)”.  Then at least it's not
hardcoded anymore.